package org.foxarmy.barcodescannerforemployees

import android.app.Activity
import android.content.Context
import android.view.LayoutInflater
import android.widget.ImageView
import android.widget.LinearLayout
import android.widget.TextView
import java.io.File

class AbstractProductView: LinearLayout {
    private var productPicture: ImageView
    private var productNameField: TextView
    private var netWeightField: TextView
    private var categoryField: TextView
    private var unitField: TextView

        constructor(activity: Activity, context: Context, productImageFile: String, productName: String, netWeight: Double, category: Int) : super(context) {

        val inflater:LayoutInflater = activity.layoutInflater
        inflater.inflate(R.layout.abstract_product_view, this)

        productPicture = findViewById(R.id.productPicture)
        productNameField = findViewById(R.id.productNameView)
        netWeightField = findViewById(R.id.productNetWeightView)
        categoryField = findViewById(R.id.categoryView)
        unitField = findViewById(R.id.unitView)

        val picturesDir = File(context.filesDir, "pictures")
        picturesDir.mkdirs()
        val imageUri = getImageUri(activity, File(picturesDir, productImageFile))

        productPicture.setImageURI(imageUri)
        productNameField.text = productName
        netWeightField.text = netWeight.toString()
        //TODO: category and units

    }
}